.custom-project-templates
  - if groups_with_project_templates.present?
    - groups_with_project_templates.each do |group|
      .template-group-options.js-template-group-options{ class: ('expanded border-top-0' if groups_with_project_templates.first == group) }
        .template-header.d-flex.align-items-center
          .template-subgroup.d-flex.flex-fill.align-items-center
            .template-options-icon-container.d-flex.justify-content-center.align-items-center.append-right-10
              = sprite_icon('angle-down', css_class: 's16 options-expanded-icon')
              = sprite_icon('angle-right', css_class: 's16 options-collapsed-icon')
            .avatar-container.s40
              = group_icon(group, alt: group.name, class: 'btn-template-icon avatar s40 avatar-tile', lazy: false)
            .template-subgroup-name.prepend-left-5
              %strong= group.name
              - if group.description.present?
                .text-muted
                  = group.description
          .template-subgroup-project-count
            %span.badge.badge-pill
              %strong
                = group.projects.count

        - group.projects.each do |project|
          .template-option.align-items-center.qa-template-option-row
            .avatar-container.s40
              = project_icon(project, alt: project.name, class: 'btn-template-icon avatar s40 avatar-tile', lazy: false)
            .description.prepend-left-5
              %strong
                = project.title
              %br
              .text-muted
                = project.description
            .controls.d-flex.align-items-baseline
              %a.btn.btn-default.append-right-10{ href: project_path(project), rel: 'noopener noreferrer', target: '_blank' }
                = _('Preview')
              %label.btn.btn-success.custom-template-button.choose-template.append-bottom-0{ for: project.name }
                %input{ type: "radio",  autocomplete: "off", name: "project[template_name]", id: project.name, value: project.name, data: { subgroup_id: project.namespace_id } }
                %span.qa-use-template-button
                  = _('Use template')

    = paginate groups_with_project_templates, params: {controller: 'users', action: 'available_templates', username: current_user.username}, theme: 'gitlab', remote: true
  - else
    .bs-callout.bs-callout-warning
      %p
        = _("Custom project templates have not been set up for groups that you are a member of. They are enabled from a group’s settings page. Contact your group’s Owner or Maintainer to setup custom project templates.")
      %strong
        = link_to _("Learn more about group-level project templates"), help_page_path("user/group/custom_project_templates")
